
// 输入输出参数格式化
input = INPUT;
try {
    input = decodeURIComponent(input);
} catch (e) { }
try {
    input = base64.decode(input);
} catch (e) { }
try {
    input = JSON.parse(input);
    input = JSON.parse(input);
} catch (e) { }
output = {};

// 环境参数
cfg = {};
try {
    cfg = JSON.parse(etcd.get("/api/test.json"));
} catch (e) { }

// 默认参数
var defaultinput = function() {
    var tsms = new Date().getTime() - 3600 * 1000;
    var tss = parseInt(tsms / 1000);
    var tse = tss + 3600;
    return {
        sid: "",
        kpi: "cpu_busy",
        starttime: tss,
        endtime: tse
    };
}();

// 函数定义
function f() {
    
}

// 主执行阶段
try {
    var kpi = input.kpi;
    if (!kpi) {
        kpi = defaultinput.kpi;
    }
    if (kpi != "cpu_busy") {
        throw("测试环境只有 cpu_busy 数据");
    }
    var starttime = input.starttime;
    if (!starttime) {
        starttime = defaultinput.starttime;
    }
    var endtime = input.endtime;
    if (!endtime) {
        endtime = defaultinput.endtime;
    }
    starttime = parseInt(starttime / 10) * 10;
    var data = [];
    var d = 30 + parseInt(Math.random() * 50 - 25);
    for(var t=starttime; t<=endtime; t+=10) {
        d += parseInt(Math.random() * 10 - 5);
        if (d < 5) {
            d = 5;
        }
        if (d > 95) {
            d = 95;
        }
        data.push([t, kpi, d]);
    }
    output.data = data;
} catch (e) {
    if (e != "ok") {
        if (typeof (e) == "object") {
            output.error = e;
        } else if (typeof (e) == "string") {
            output.error = "读数错误：" + e;
        } else {
            output.error = JSON.stringify(e);
        }
        log.error(output.error);
        STATUS = "error";
    }
}

// 返回输出信息
OUTPUT = output;
